<?php namespace TeamGrid\Includes;

class Assets {

    /*
    |---------------------------------------------------------------------------------------------------
    | Local Fonts
    |---------------------------------------------------------------------------------------------------
    */
    public static function local_fonts( $more_items = array() ){
        return Functions::nice_array_merge( $more_items, \XboxItems::web_safe_fonts() );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Google Fonts
    |---------------------------------------------------------------------------------------------------
    */
    public static function google_fonts( $more_items = array() ){
        return Functions::nice_array_merge( $more_items, \XboxItems::google_fonts() );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Social icons
    |---------------------------------------------------------------------------------------------------
    */
    public static function social_icon_fonts( $more_items = array() ){
        $icons = include TGR_DIR . 'includes/data/social-icons-font-awesome-5.6.3.php';
        $items = array();
        foreach( $icons as $icon ){
            $items[$icon] = "<i class='" . esc_attr( $icon ) . "'></i>";
        }
        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Font Awesome for Select
    |---------------------------------------------------------------------------------------------------
    */
    public static function font_awesome_icons_for_select( $more_items = array() ){
        $icons = include TGR_DIR . 'includes/data/icons-font-awesome-5.6.3.php';
        $items = array();
        foreach( $icons as $icon ){
            $icon_value = explode( ' ', $icon );
            $items[$icon] = "<i class='" . esc_attr( $icon ) . "'></i>" . esc_html( $icon_value[1] );
        }
        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Font Awesome
    |---------------------------------------------------------------------------------------------------
    */
    public static function font_awesome_icons( $more_items = array() ){
        $icons = include TGR_DIR . 'includes/data/icons-font-awesome.php';
        $items = array();
        foreach( $icons as $icon ){
            $icon_value = str_replace( 'fa-', 'mpp-icon-', $icon );
            $items[$icon_value] = " <i class='" . esc_attr( $icon_value ) . "' ></i > ";
        }
        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Animations effects
    |---------------------------------------------------------------------------------------------------
    */
    public static function animation_effects( $more_items = array() ){
        $items = array(
            'tgr-fadeIn' => 'tgr-fadeOut',
            'tgr-fadeInDown' => 'tgr-fadeOutDown',
            'tgr-fadeInDownBig' => 'tgr-fadeOutDownBig',
            'tgr-fadeInLeft' => 'tgr-fadeOutLeft',
            'tgr-fadeInLeftBig' => 'tgr-fadeOutLeftBig',
            'tgr-fadeInRight' => 'tgr-fadeOutRight',
            'tgr-fadeInRightBig' => 'tgr-fadeOutRightBig',
            'tgr-fadeInUp' => 'tgr-fadeOutUp',
            'tgr-fadeInUpBig' => 'tgr-fadeOutUpBig',

            'tgr-zoomIn' => 'tgr-zoomOut',
            'tgr-zoomInDown' => 'tgr-zoomOutDown',
            'tgr-zoomInLeft' => 'tgr-zoomOutLeft',
            'tgr-zoomInRight' => 'tgr-zoomOutRight',
            'tgr-zoomInUp' => 'tgr-zoomOutUp',

            'tgr-slideInDown' => 'tgr-slideOutDown',
            'tgr-slideInLeft' => 'tgr-slideOutLeft',
            'tgr-slideInRight' => 'tgr-slideOutRight',
            'tgr-slideInUp' => 'tgr-slideOutUp',

            'tgr-rollIn' => 'tgr-rollOut',
        );

        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Animations
    |---------------------------------------------------------------------------------------------------
    */
    public static function animations( $more_items = array() ){
        $items = array(
            'Attention Seekers' => array(
                'tgr-bounce' => 'Bounce',
                'tgr-flash' => 'flash',
                'tgr-pulse' => 'pulse',
                'tgr-rubberBand' => 'rubberBand',
                'tgr-shake' => 'shake',
                'tgr-swing' => 'swing',
                'tgr-tada' => 'tada',
                'tgr-wobble' => 'wobble',
            ),
            'Bouncing Entrances' => array(
                'tgr-bounceIn' => 'bounceIn',
                'tgr-bounceInDown' => 'bounceInDown',
                'tgr-bounceInLeft' => 'bounceInLeft',
                'tgr-bounceInRight' => 'bounceInRight',
                'tgr-bounceInUp' => 'bounceInUp',
            ),
            'Bouncing Exits' => array(
                'tgr-bounceOut' => 'bounceOut',
                'tgr-bounceOutDown' => 'bounceOutDown',
                'tgr-bounceOutLeft' => 'bounceOutLeft',
                'tgr-bounceOutRight' => 'bounceOutRight',
                'tgr-bounceOutUp' => 'bounceOutUp',
            ),
            'Fading Entrances' => array(
                'tgr-fadeIn' => 'fadeIn',
                'tgr-fadeInDown' => 'fadeInDown',
                'tgr-fadeInDownBig' => 'fadeInDownBig',
                'tgr-fadeInLeft' => 'fadeInLeft',
                'tgr-fadeInLeftBig' => 'fadeInLeftBig',
                'tgr-fadeInRight' => 'fadeInRight',
                'tgr-fadeInRightBig' => 'fadeInRightBig',
                'tgr-fadeInUp' => 'fadeInUp',
                'tgr-fadeInUpBig' => 'fadeInUpBig',
            ),
            'Fading Exits' => array(
                'tgr-fadeOut' => 'fadeOut',
                'tgr-fadeOutDown' => 'fadeOutDown',
                'tgr-fadeOutDownBig' => 'fadeOutDownBig',
                'tgr-fadeOutLeft' => 'fadeOutLeft',
                'tgr-fadeOutLeftBig' => 'fadeOutLeftBig',
                'tgr-fadeOutRight' => 'fadeOutRight',
                'tgr-fadeOutRightBig' => 'fadeOutRightBig',
                'tgr-fadeOutUp' => 'fadeOutUp',
                'tgr-fadeOutUpBig' => 'fadeOutUpBig',
            ),
            'Flippers' => array(
                'tgr-flip' => 'flip',
                'tgr-flipInX' => 'flipInX',
                'tgr-flipInY' => 'flipInY',
                'tgr-flipOutX' => 'flipOutX',
                'tgr-flipOutY' => 'flipOutY',
            ),
            'Lightspeed' => array(
                'tgr-lightSpeedIn' => 'lightSpeedIn',
                'tgr-lightSpeedOut' => 'lightSpeedOut',
            ),
            'Rotating Entrances' => array(
                'tgr-rotateIn' => 'rotateIn',
                'tgr-rotateInDownLeft' => 'rotateInDownLeft',
                'tgr-rotateInDownRight' => 'rotateInDownRight',
                'tgr-rotateInUpLeft' => 'rotateInUpLeft',
                'tgr-rotateInUpRight' => 'rotateInUpRight',
            ),
            'Rotating Exits' => array(
                'tgr-rotateOut' => 'rotateOut',
                'tgr-rotateOutDownLeft' => 'rotateOutDownLeft',
                'tgr-rotateOutDownRight' => 'rotateOutDownRight',
                'tgr-rotateOutUpLeft' => 'rotateOutUpLeft',
                'tgr-rotateOutUpRight' => 'rotateOutUpRight',
            ),
            'Slide Entrances' => array(
                'tgr-slideInDown' => 'slideInDown',
                'tgr-slideInLeft' => 'slideInLeft',
                'tgr-slideInRight' => 'slideInRight',
                'tgr-slideInUp' => 'slideInUp',
            ),
            'Slide Exits' => array(
                'tgr-slideOutDown' => 'slideOutDown',
                'tgr-slideOutLeft' => 'slideOutLeft',
                'tgr-slideOutRight' => 'slideOutRight',
                'tgr-slideOutUp' => 'slideOutUp',
            ),
            'Zoom Entrances' => array(
                'tgr-zoomIn' => 'zoomIn',
                'tgr-zoomInDown' => 'zoomInDown',
                'tgr-zoomInLeft' => 'zoomInLeft',
                'tgr-zoomInRight' => 'zoomInRight',
                'tgr-zoomInUp' => 'zoomInUp',
            ),
            'Zoom Exits' => array(
                'tgr-zoomOut' => 'zoomOut',
                'tgr-zoomOutDown' => 'zoomOutDown',
                'tgr-zoomOutLeft' => 'zoomOutLeft',
                'tgr-zoomOutRight' => 'zoomOutRight',
                'tgr-zoomOutUp' => 'zoomOutUp',
            ),
            'Specials' => array(
                'tgr-rollIn' => 'rollIn',
                'tgr-rollOut' => 'rollOut',
            ),
        );
        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Animations
    |---------------------------------------------------------------------------------------------------
    */
    public static function animations_in( $more_items = array() ){
        $items = array(
            'Attention Seekers' => array(
                'tgr-bounce' => 'Bounce',
                'tgr-flash' => 'flash',
                'tgr-pulse' => 'pulse',
                'tgr-rubberBand' => 'rubberBand',
                'tgr-shake' => 'shake',
                'tgr-swing' => 'swing',
                'tgr-tada' => 'tada',
                'tgr-wobble' => 'wobble',
            ),
            'Bouncing' => array(
                'tgr-bounceIn' => 'bounceIn',
                'tgr-bounceInDown' => 'bounceInDown',
                'tgr-bounceInLeft' => 'bounceInLeft',
                'tgr-bounceInRight' => 'bounceInRight',
                'tgr-bounceInUp' => 'bounceInUp',
            ),
            'Fading' => array(
                'tgr-fadeIn' => 'fadeIn',
                'tgr-fadeInDown' => 'fadeInDown',
                'tgr-fadeInDownBig' => 'fadeInDownBig',
                'tgr-fadeInLeft' => 'fadeInLeft',
                'tgr-fadeInLeftBig' => 'fadeInLeftBig',
                'tgr-fadeInRight' => 'fadeInRight',
                'tgr-fadeInRightBig' => 'fadeInRightBig',
                'tgr-fadeInUp' => 'fadeInUp',
                'tgr-fadeInUpBig' => 'fadeInUpBig',
            ),
            'Rotating' => array(
                'tgr-rotateIn' => 'rotateIn',
                'tgr-rotateInDownLeft' => 'rotateInDownLeft',
                'tgr-rotateInDownRight' => 'rotateInDownRight',
                'tgr-rotateInUpLeft' => 'rotateInUpLeft',
                'tgr-rotateInUpRight' => 'rotateInUpRight',
            ),
            'Slide' => array(
                'tgr-slideInDown' => 'slideInDown',
                'tgr-slideInLeft' => 'slideInLeft',
                'tgr-slideInRight' => 'slideInRight',
                'tgr-slideInUp' => 'slideInUp',
            ),
            'Zoom' => array(
                'tgr-zoomIn' => 'zoomIn',
                'tgr-zoomInDown' => 'zoomInDown',
                'tgr-zoomInLeft' => 'zoomInLeft',
                'tgr-zoomInRight' => 'zoomInRight',
                'tgr-zoomInUp' => 'zoomInUp',
            ),
            'Other' => array(
                'tgr-rollIn' => 'rollIn',
                'tgr-flipInX' => 'flipInX',
                'tgr-flipInY' => 'flipInY',
                'tgr-lightSpeedIn' => 'lightSpeedIn',
            ),
        );
        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Animations Out
    |---------------------------------------------------------------------------------------------------
    */
    public static function animations_out( $more_items = array() ){
        $items = array(
            'Bouncing' => array(
                'tgr-bounceOut' => 'bounceOut',
                'tgr-bounceOutDown' => 'bounceOutDown',
                'tgr-bounceOutLeft' => 'bounceOutLeft',
                'tgr-bounceOutRight' => 'bounceOutRight',
                'tgr-bounceOutUp' => 'bounceOutUp',
            ),
            'Fading' => array(
                'tgr-fadeOut' => 'fadeOut',
                'tgr-fadeOutDown' => 'fadeOutDown',
                'tgr-fadeOutDownBig' => 'fadeOutDownBig',
                'tgr-fadeOutLeft' => 'fadeOutLeft',
                'tgr-fadeOutLeftBig' => 'fadeOutLeftBig',
                'tgr-fadeOutRight' => 'fadeOutRight',
                'tgr-fadeOutRightBig' => 'fadeOutRightBig',
                'tgr-fadeOutUp' => 'fadeOutUp',
                'tgr-fadeOutUpBig' => 'fadeOutUpBig',
            ),
            'Rotating' => array(
                'tgr-rotateOut' => 'rotateOut',
                'tgr-rotateOutDownLeft' => 'rotateOutDownLeft',
                'tgr-rotateOutDownRight' => 'rotateOutDownRight',
                'tgr-rotateOutUpLeft' => 'rotateOutUpLeft',
                'tgr-rotateOutUpRight' => 'rotateOutUpRight',
            ),
            'Slide' => array(
                'tgr-slideOutDown' => 'slideOutDown',
                'tgr-slideOutLeft' => 'slideOutLeft',
                'tgr-slideOutRight' => 'slideOutRight',
                'tgr-slideOutUp' => 'slideOutUp',
            ),
            'Zoom' => array(
                'tgr-zoomOut' => 'zoomOut',
                'tgr-zoomOutDown' => 'zoomOutDown',
                'tgr-zoomOutLeft' => 'zoomOutLeft',
                'tgr-zoomOutRight' => 'zoomOutRight',
                'tgr-zoomOutUp' => 'zoomOutUp',
            ),
            'Other' => array(
                'tgr-rollOut' => 'rollOut',
                'tgr-flipOutX' => 'flipOutX',
                'tgr-flipOutY' => 'flipOutY',
                'tgr-lightSpeedOut' => 'lightSpeedOut',
            ),
        );
        return Functions::nice_array_merge( $more_items, $items );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | All layouts
    |---------------------------------------------------------------------------------------------------
    */
    public static function get_all_layouts(){
        $layouts = array(
            '1' => 'grid',
            '2' => 'grid',
            '3' => 'grid',
            '4' => 'grid',
            '5' => 'grid',
            '6' => 'grid',
            '7' => 'grid',
            '8' => 'grid',
            '9' => 'grid',
            '10' => 'grid',
            '11' => 'grid',
            '12' => 'grid',
            '13' => 'grid',
            '14' => 'grid',
            '15' => 'grid',
            '16' => 'list',
            '17' => 'table',
        );
        return $layouts;
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Layouts
    |---------------------------------------------------------------------------------------------------
    */
    public static function layouts( $end = -1, $exclude = array() ){
        $layouts = array(
            '1' => '1 (Grid)',
            '2' => '2 (Grid)',
            '3' => '3 (Grid)',
            '4' => '4 (Grid)',
            '5' => '5 (Grid)',
            '6' => '6 (Grid)',
            '7' => '7 (Grid)',
            '8' => '8 (Grid)',
            '9' => '9 (Grid)',
            '10' => '10 (Grid, Flip Card)',
            '11' => '11 (Grid, Circular)',
            '12' => '12 (Grid, Circular, Flip Card)',
            '13' => '13 (Grid, Circular, Flip Card)',
            '14' => '14 (Grid, Circular)',
            '15' => '15 (Grid, Circular)',
            '16' => '16 (List)',
            '17' => '17 (Table)',
        );
        if( $end > 0 ){
            foreach( $layouts as $layout_number => $layout_display ){
                if( (int) $layout_number > $end ){
                    unset( $layouts[$layout_number] );
                }
            }
        }
        foreach( $exclude as $layout_number ){
            unset( $layouts[$layout_number] );
        }
        return $layouts;
    }
}

