<?php

$xbox->add_field(array(
	'type' => 'title',
	'name' => esc_html__( 'Plugin Activation', 'teamgrid' ),
));
$xbox->add_field(array(
	'id' => 'activation-status',
	'type' => 'hidden',
	'default' => 'off',
));
$xbox->add_field(array(
	'id' => 'activation-auth',
	'type' => 'hidden',
	'default' => 'codexhelp:activation',
));
$xbox->add_field(array(
	'id' => 'activation-status-info',
	'name' => esc_html__( 'Status', 'teamgrid' ),
	'type' => 'html',
	'content' => '<span class="tgr-activation-status tgr-bold xbox-color-red">'.esc_html__( 'Not Activated', 'teamgrid').'</span>',
));
$xbox->add_field(array(
	'id' => 'activation-username',
	'name' => esc_html__( 'Envato Username', 'teamgrid' ).'<span class="xbox-required-field">*</span>',
	'type' => 'text',
	'default' => '',
	'desc' => '',
	'grid' => '4-of-8',
	'options' => array(
		'show_name' => true,
		'helper' => '<i class="xbox-icon xbox-icon-user"></i>'
	),
));
$xbox->add_field(array(
	'id' => 'activation-purchase-code',
	'name' => esc_html__( 'Purchase Code', 'teamgrid' ).'<span class="xbox-required-field">*</span>',
	'type' => 'text',
	'default' => '',
	'desc' => sprintf(esc_html__( 'Click %shere%s for more information', 'teamgrid' ), '<a target="_blank" href="https://teamgrid.net/documentation/#doc-installation">', '</a>'),
	'grid' => '4-of-8',
	'options' => array(
		'show_name' => true,
		'helper' => '<i class="xbox-icon xbox-icon-shopping-cart"></i>'
	),
));
$xbox->add_field(array(
	'id' => 'activation-email',
	'name' => esc_html__( 'Your email', 'teamgrid' ),
	'type' => 'text',
	'default' => '',
	'desc' => esc_html__( 'To get in touch when you need help', 'teamgrid' ),
	'grid' => '4-of-8',
	'options' => array(
		'show_name' => true,
		'helper' => '<i class="xbox-icon xbox-icon-envelope-o"></i>'
	),
	'attributes' => array(
		'type' => 'email'
	)
));

$xbox->add_field(array(
	'id' => 'activation-type',
	'name' => esc_html__( 'Activation type', 'teamgrid' ),
	'type' => 'radio',
	'default' => 'activation',
	'items' => array(
		'activation' => esc_html__( 'Activation', 'teamgrid' ),
		'deactivation' => esc_html__( 'Deactivation', 'teamgrid' ),
	),
	'options' => array(
		'show_name' => true,
		'helper' => '<i class="xbox-icon xbox-icon-envelope-o"></i>'
	),
));

$xbox->add_field(array(
	'id' => 'activation-domain',
	'name' => esc_html__( 'Domain', 'teamgrid' ),
	'type' => 'text',
	'default' => '',
	'desc' => esc_html__( 'Enter the domain in which you want to deactivate the plugin', 'teamgrid' ),
	'grid' => '4-of-8',
	'options' => array(
		'show_name' => true,
		'helper' => '<i class="xbox-icon xbox-icon-globe"></i>',
		'show_if' => array( 'activation-type', 'deactivation' )
	),
	'attributes' => array(
		'placeholder' => 'site.com'
	)
));

$xbox->add_field(array(
	'id' => 'activation-validate-purchase',
	'name' => '',
	'type' => 'button',
	'content' => esc_html__( 'Validate Purchase', 'teamgrid' ),
	'desc' => '',
	'options' => array(
		'show_name' => true,
		'color' => 'teal',
	),
));