<?php

use TeamGrid\Includes\Assets;

$google_fonts = XboxItems::google_fonts();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Filter', 'teamgrid' ),
    'options' => array(
    )
));
$xbox->add_field(array(
    'id' => 'filters-gap',
    'name' => esc_html__( 'Filters separation', 'teamgrid' ),
    'type' => 'number',
    'default' => 4,
    'options' => array(
        'show_spinner' => true,
        'unit' => 'px',
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-font-family',
    'name' => esc_html__( 'Font family', 'teamgrid' ),
    'type' => 'select',
    'default' => 'Roboto Condensed',
    'items' => array(
        'Fonts' => Assets::local_fonts(),
        'Google Fonts' => $google_fonts,
    ),
    'options' => array(
        'sort' => 'asc',
        'search' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-uppercase-text',
    'name' => esc_html__( 'Uppercase text', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'on',
));
$xbox->add_field(array(
    'id' => 'filters-text-size',
    'name' => esc_html__( 'Text size', 'teamgrid' ),
    'type' => 'number',
    'default' => 16,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-text-color',
    'name' => esc_html__( 'Text color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(76, 76, 76, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-width',
    'name' => esc_html__( 'Border', 'teamgrid' ),
    'type' => 'number',
    'default' => 0,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-color',
    'name' => esc_html__( 'Border color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-radius',
    'name' => esc_html__( 'Border radius', 'teamgrid' ),
    'type' => 'number',
    'default' => 0,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-padding',
    'name' => esc_html__( 'Padding', 'teamgrid' ),
    'type' => 'text',
    'default' => '12px 24px',
    'grid' => '1-of-6',
));
$xbox->add_field(array(
    'id' => 'filters-bg-color',
    'name' => esc_html__( 'Background color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '0',
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-enabled',
    'name' => esc_html__( 'Gradient color', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-color',
    'name' => esc_html__( 'To color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => 0,
        'show_if' => array('filters-bg-gradient-enabled', '=', 'on' )
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-angle',
    'name' => esc_html__( 'Angle', 'teamgrid' ),
    'type' => 'number',
    'default' => '135',
    'options' => array(
        'show_spinner' => true,
        'unit' => 'deg',
        'show_if' => array('filters-bg-gradient-enabled', '=', 'on' )
    ),
    'attributes' => array(
        'min' => -360,
        'max' => 360,
    ),
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Active filter', 'teamgrid' ),
    'options' => array(
    )
));
$xbox->add_field(array(
    'id' => 'filters-text-color-active',
    'name' => esc_html__( 'Text color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-width-active',
    'name' => esc_html__( 'Border', 'teamgrid' ),
    'type' => 'number',
    'default' => 3,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-color-active',
    'name' => esc_html__( 'Border color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(252,1,41,1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '0.2',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-bottom-only-active',
    'name' => esc_html__( 'Border bottom only?', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'on',
    'options' => array(
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-color-active',
    'name' => esc_html__( 'Background color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 0)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-enabled-active',
    'name' => esc_html__( 'Gradient color', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-color-active',
    'name' => esc_html__( 'To color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => 0,
        'show_if' => array('filters-bg-gradient-enabled-active', '=', 'on' )
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-angle-active',
    'name' => esc_html__( 'Angle', 'teamgrid' ),
    'type' => 'number',
    'default' => '135',
    'options' => array(
        'show_spinner' => true,
        'unit' => 'deg',
        'show_if' => array('filters-bg-gradient-enabled-active', '=', 'on' )
    ),
    'attributes' => array(
        'min' => -360,
        'max' => 360,
    ),
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Hover filter', 'teamgrid' ),
    'options' => array(
    )
));
$xbox->add_field(array(
    'id' => 'filters-text-color-hover',
    'name' => esc_html__( 'Text color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-border-color-hover',
    'name' => esc_html__( 'Border color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(252,1,41,1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '0.2',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-color-hover',
    'name' => esc_html__( 'Background color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 0)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-enabled-hover',
    'name' => esc_html__( 'Gradient color', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-color-hover',
    'name' => esc_html__( 'To color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => 0,
        'show_if' => array('filters-bg-gradient-enabled-hover', '=', 'on' )
    ),
));
$xbox->add_field(array(
    'id' => 'filters-bg-gradient-angle-hover',
    'name' => esc_html__( 'Angle', 'teamgrid' ),
    'type' => 'number',
    'default' => '135',
    'options' => array(
        'show_spinner' => true,
        'unit' => 'deg',
        'show_if' => array('filters-bg-gradient-enabled-hover', '=', 'on' )
    ),
    'attributes' => array(
        'min' => -360,
        'max' => 360,
    ),
));
$xbox->close_mixed_field();