<?php

use TeamGrid\Includes\Assets;

$google_fonts = XboxItems::google_fonts();

$xbox->add_field(array(
    'id' => 'team-bg-color',
    'name' => esc_html__( 'Background color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 0)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => 0,
    ),
));

$xbox->open_mixed_field(array('name' => esc_html__( 'Font family', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'font-family-content',
    'name' => esc_html__( 'Content', 'teamgrid' ),
    'type' => 'select',
    'default' => 'Open Sans',
    'items' => array(
        'Fonts' => Assets::local_fonts(),
        'Google Fonts' => $google_fonts,
    ),
    'options' => array(
        'sort' => 'asc',
        'search' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'font-family-heading1',
    'name' => esc_html__( 'Heading 1', 'teamgrid' ),
    'type' => 'select',
    'default' => 'Roboto',
    'items' => array(
        'Fonts' => Assets::local_fonts(),
        'Google Fonts' => $google_fonts,
    ),
    'options' => array(
        'sort' => 'asc',
        'search' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'font-family-heading2',
    'name' => esc_html__( 'Heading 2', 'teamgrid' ),
    'type' => 'select',
    'default' => 'Lato',
    'items' => array(
        'Fonts' => Assets::local_fonts(),
        'Google Fonts' => $google_fonts,
    ),
    'options' => array(
        'sort' => 'asc',
        'search' => true,
    ),
));
$xbox->close_mixed_field();


$xbox->add_field(array(
    'id' => 'layout-truncate-description',
    'name' => esc_html__( 'Truncate member description', 'teamgrid' ),
    'type' => 'number',
    'default' => -1,
    'options' => array(
        'show_spinner' => true,
    ),
    'attributes' => array(
        'min' => -1,
    ),
));

$xbox->add_field(array(
    'id' => 'member-title-after-subtitle',
    'name' => esc_html__( 'Show member title after role', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));


$xbox->add_field(array(
    'id' => 'show-member-headings',
    'name' => esc_html__( 'Show member headings', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'on',
    'options' => array(
        'show_if' => array('layout-number', 'in', array('14', '15')),//'13', '14'
    ),
));

$xbox->add_field(array(
    'id' => 'grid-social-icons-visible',
    'name' => esc_html__( 'Show social icons', 'teamgrid' ),
    'desc' => esc_html__( 'Social icons will always be visible on mouseover', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'show_if' => array('layout-number', 'in', array('10', '12')),//'10', '12'
    ),
));

$xbox->add_field(array(
    'id' => 'grid-description-visible',
    'name' => esc_html__( 'Show member description', 'teamgrid' ),
    'desc' => esc_html__( 'Note that in some layouts it only allows to show the description on hover', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'show_if' => array('layout-number', 'in', array('8', '10', '12')),//'7', '9', '11'
    ),
));
$xbox->add_field(array(
    'id' => 'grid-description-visible-hover',
    'name' => esc_html__( 'Show member description on mousehover', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));


$xbox->add_field(array(
    'id' => 'layout-hide-image',
    'name' => esc_html__( 'Hide image', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->open_mixed_field(array('name' => esc_html__( 'Image zoom effect', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'layout-image-zoom-scale',
    'name' => esc_html__( 'Scale', 'teamgrid' ),
    'type' => 'number',
    'default' => 1.2,
    'options' => array(
        'show_spinner' => true,
    ),
    'attributes' => array(
        'min' => 1,
        'step' => 0.1,
        'precision' => 1,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-image-zoom-duration',
    'name' => esc_html__( 'Duration', 'teamgrid' ),
    'type' => 'number',
    'default' => 0.5,
    'options' => array(
        'show_spinner' => true,
    ),
    'attributes' => array(
        'min' => 0.1,
        'step' => 0.1,
        'precision' => 1,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-image-zoom-effect',
    'name' => esc_html__( 'Effect', 'teamgrid' ),
    'type' => 'select',
    'default' => 'ease-out',
    'items' => array(
        'ease' => 'ease',
        'linear' => 'linear',
        'ease-in' => 'ease-in',
        'ease-out' => 'ease-out',
        'ease-in-out' => 'ease-in-out',
    ),
));
$xbox->close_mixed_field();

$xbox->add_field(array(
    'id' => 'layout-equal-heights',
    'name' => esc_html__( 'Items with equal heights', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
