<?php

use TeamGrid\Includes\Assets;


$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__('Select the Layout to use and then click on the "Use Design" button', 'teamgrid' ),
    'options' => array(
        'show_name' => false
    )
));

$xbox->add_html(array(
    'content' => '<div id="tgr-wrap-designs">'
));

$xbox->open_mixed_field(array(
    'name' => esc_html__('Design default', 'teamgrid' ),
    'insert_after_row' => '
<div class="tgr-team tgr-design" data-id="design-1" data-layout="2">
</div>    
'
));
$xbox->add_field(array(
    'id' => 'design-1',
    'name' => esc_html__( 'Layout', 'teamgrid' ),
    'type' => 'select',
    'default' => '2',
    'items' => Assets::layouts(17),
    'options' => array(
        'sort' => false,
        'sort_by_values' => false,
    ),
    'attributes' => array(
        'data-design' => 'design-1',
        'style' => 'min-width: 220px;'
    ),
    'field_class' => 'design-layout',
    'save_field' => false,
));
$xbox->add_field(array(
    'type' => 'button',
    'content' => esc_html__( 'Use Design', 'teamgrid' ),
    'attributes' => array(
        'class' => 'btn-use-design',
        'data-design' => 'design-1',
    ),
));
$xbox->close_mixed_field();




for( $i = 2; $i <= 7; $i++){
    $xbox->open_mixed_field(array(
        'name' => sprintf( esc_html__('Design %s', 'teamgrid' ), $i),
        'insert_after_row' => '
<div class="tgr-team tgr-design" data-id="design-'.esc_attr( $i ).'" data-layout="2">
</div>    
'
    ));
    $xbox->add_field(array(
        'id' => 'design-'.$i,
        'name' => esc_html__( 'Layout', 'teamgrid' ),
        'type' => 'select',
        'default' => '2',
        'items' => Assets::layouts(17),
        'options' => array(
            'sort' => false,
            'sort_by_values' => false,
        ),
        'attributes' => array(
            'data-design' => 'design-'.esc_attr( $i ),
            'style' => 'min-width: 220px;'
        ),
        'field_class' => 'design-layout',
        'save_field' => false,
    ));
    $xbox->add_field(array(
        'type' => 'button',
        'content' => esc_html__( 'Use Design', 'teamgrid' ),
        'attributes' => array(
            'class' => 'btn-use-design',
            'data-design' => 'design-'. esc_attr( $i ),
        ),
    ));
    $xbox->close_mixed_field();
}

$xbox->add_html(array(
    'content' => '</div>'//tgr-wrap-designs
));

